#@TYPE: Machine
#@NAME: orange-pi-zero-2
#@DESCRIPTION: Machine configuration for the orange-pi-zero-2, based on Allwinner H616 CPU

require conf/machine/include/sun50i-h616.inc


UBOOT_MACHINE = "orangepi_zero2w_defconfig"

KERNEL_DEVICETREE = "allwinner/sun50i-h618-orangepi-zero2w.dtb "

SPL_BINARY = "u-boot-sunxi-with-spl.bin"

# as for now neither graphics nor audio is supported
MACHINE_FEATURES:remove = " x11 "
MACHINE_FEATURES:append = " pic bluetooth wifi "

MACHINE_EXTRA_RRECOMMENDS = "uwe5622-firmware"